Package home | Report new bug | New search | Development Roadmap Status: Open | Feedback | All | Closed Since Version 1.10.12

Bug #7941 Bogus error message when uninstalling subpackages
Submitted: 2006-06-19 20:55 UTC
From: wiesemann Assigned: cellog
Status: Closed Package: PEAR (version 1.5.0RC3)
PHP Version: Irrelevant OS: Win/Linux
Roadmaps: (Not assigned)    
Subscription  


 [2006-06-19 20:55 UTC] wiesemann (Mark Wiesemann)
Description: ------------ We've tried the new group feature of package.xml v2 with the new release of Structures_DataGrid. After installing all DataSource drivers via pear install Structures_DataGrid-beta#datasources we also tried to uninstall them via pear uninstall Structures_DataGrid-beta#datasources While this was successful for almost all subpackages in this group, we also got the following error message: pear/Structures_DataGrid_DataSource_MDB2 (version >= 0.1.0) is required by installed package "pear/structures_datagrid" pear/Structures_DataGrid_DataSource_MDB2 cannot be uninstalled, other installed packages depend on this package This is wrong, the core package does not depend on it, it only has an optional subpackage dependency in package2.xml. The funny thing is, that when MDB2 is not installed, the error messages states that it could not uninstall Structures_DataGrid_DataSource_DBQuery (but it is successfully uninstalled if MDB2 is installed). This is also reproducable with #renderers and the Structures_DataGrid_Renderer_HTMLTable.

Comments

 [2006-06-19 21:35 UTC] olivierg at php dot net (Olivier Guilyardi)
Same problem here. We're testing this with Structures_DataGrid-0.7.1. All (datasources and renderers) drivers are currently at version 0.1.0. Hope that will help you to reproduce this bug
 [2006-07-20 10:23 UTC] wiesemann (Mark Wiesemann)
Maybe I should rephrase the problem: The error message is not only bogus, it is even impossible to uninstall some subpackages and therefore also the core package (Structures_DataGrid) itself without doing the uninstallation of one or more subpackages by hand. I just tried with PEAR 1.4.10: #datasources works now on my system, #renderers fails for Structures_DataGrid_Renderer_CSV (you maybe might not be able to reproduce this for this special subpackage, but it then should fail for another subpackage)
 [2006-09-19 04:36 UTC] cellog (Greg Beaver)
were you in fact able to install the Structures_DataGrid_DataSource_MDB2 *without* installing MDB2? This is a bigger problem, as it should not do that. I haven't yet been able to reproduce as I ran into other problems and fixed them. The problem with permissions on rmdir file transaction in PEAR_Installer has been vexing me for over 6 months, and now that it is fixed, I can finally fix this bug. Please advise: were you able to install the MDB2 data source without MDB2 being installed? (i.e. did you force it, or did it just work?)
 [2006-09-19 10:48 UTC] wiesemann (Mark Wiesemann)
> Please advise: were you able to install the MDB2 data > source without MDB2 being installed? (i.e. did you > force it, or did it just work?) Just tried by uninstalling DataGrid and MDB2 completely, and then running "pear install Structures_DataGrid_DataSource_MDB2-beta". Result: downloading Structures_DataGrid_DataSource_MDB2-0.1.2.tgz ... Starting to download Structures_DataGrid_DataSource_MDB2-0.1.2.tgz (4,033 bytes) ....done: 4,033 bytes downloading Structures_DataGrid-0.7.1.tgz ... Starting to download Structures_DataGrid-0.7.1.tgz (21,646 bytes) ...done: 21,646 bytes downloading MDB2-2.2.2.tgz ... Starting to download MDB2-2.2.2.tgz (99,785 bytes) ...done: 99,785 bytes install ok: channel://pear.php.net/MDB2-2.2.2 install ok: channel://pear.php.net/Structures_DataGrid-0.7.1 Structures_DataGrid: Optional feature datasources available ((un)installs all optional DataSource drivers) Structures_DataGrid: Optional feature renderers available ((un)installs all Renderer drivers) install ok: channel://pear.php.net/Structures_DataGrid_DataSource_MDB2-0.1.2 To install use "pear install pear/Structures_DataGrid#featurename" If you need more details, please ask again.
 [2006-09-25 23:04 UTC] cellog (Greg Beaver)
I don't see any error here, I'm going to mark it bogus. Please consider this a "works for me, I don't see any bug" - if you can reproduce the problem again, please re-open with more details, I'd love to find out why the initial problem happened!
 [2006-09-26 07:17 UTC] wiesemann (Mark Wiesemann)
Greg, have you read the initial comments from me and Olivier? Maybe you have missed the point the in the last comments, but the real problem is the not fully working uninstallation. To summarize again: Running "pear uninstall Structures_DataGrid-beta#datasources" (same for #renderers) results in most cases in an error message telling that one subpackage couldn't be uninstalled because some other (sub)package depends on it (which is wrong, the dependency is optional). You should be able to reproduce the problem by following the commands from my initial comment (just the two commands from the first paragraph should be enough). If you need more details, please ask again.
 [2006-09-26 14:42 UTC] cellog (Greg Beaver)
boy we're having communication issues :) I did exactly what you reported, and was unable to reproduce any problems whatsoever on windows or linux. Please re-open if you can provide a different example that also fails
 [2006-12-19 06:56 UTC] wiesemann (Mark Wiesemann)
Greg, could the bug described here be related somehow to Bug #9639 (=> installation with old 1.4.x, uninstallation with 1.5.0RC2)? Of course, as described in this bug, I (and also Olivier, I think) have used various PEAR versions, including 1.4.9, 1.4.10 and 1.4.11 which aren't really old.
 [2006-12-20 09:36 UTC] wiesemann (Mark Wiesemann)
Okay, after reading this blog entry http://greg.chiaraquartet.net/archives/158-interesting,-potentially-critical-bug-in-PEAR.html the issue described in this bug report seems to be very related to blog entry. Therefore, this bug is not bogus (and it never really was bogus).
 [2006-12-20 16:31 UTC] cellog (Greg Beaver)
ok, then it is a duplicate :)
 [2006-12-20 16:39 UTC] cellog (Greg Beaver)
the blog entry you cited has to do with installation order, not with uninstallation, the blog entry that I think you mean to cite was the one about PEAR 1.4.4- install issues
 [2006-12-20 16:47 UTC] wiesemann (Mark Wiesemann)
Actually I referred to both blog entries. ;-) But let us just see how PEAR 1.5.0RC3 will behave regarding the issue that I initally described here. I'll report back when the problem still occurs.
 [2006-12-20 18:24 UTC] cellog (Greg Beaver)
I hope you mean "if" it happens :)
 [2006-12-20 19:07 UTC] wiesemann (Mark Wiesemann)
> I hope you mean "if" it happens :) *g* Of course.
 [2007-01-12 15:47 UTC] wiesemann (Mark Wiesemann)
I have to re-open this bug. RC3 does not solve the problem. I did the following steps: # clean-up all old stuff: - pear uninstall Structures_DataGrid#datasources - pear uninstall Structures_DataGrid#renderers - pear uninstall Structures_DataGrid_DataSource_MDB2 - pear uninstall Structures_DataGrid_Renderer_CSV - pear uninstall Structures_DataGrid # get new PEAR installer (from 1.4.11): - pear upgrade PEAR-1.5.0RC3 # install all drivers: - pear install Structures_DataGrid-beta#datasources - pear install Structures_DataGrid-beta#renderers # try to uninstall: - pear uninstall Structures_DataGrid#renderers Result: pear/Structures_DataGrid_Renderer_CSV (version >= 0.1.0) is required by installed package "pear/structures_datagrid" pear/Structures_DataGrid_Renderer_CSV cannot be uninstalled, other installed packages depend on this package 1.4.11 also had problem with uninstalling Structures_DataGrid_Renderer_CSV with the above command. (The same is still true for #datasources and the MDB2 driver.) BTW: It is a little bit "ugly" that the package name is written in lowercase in the error message.
 [2007-01-14 21:27 UTC] cellog (Greg Beaver)
This bug has been fixed in CVS. If this was a documentation problem, the fix will appear on pear.php.net by the end of next Sunday (CET). If this was a problem with the pear.php.net website, the change should be live shortly. Otherwise, the fix will appear in the package's next release. Thank you for the report and for helping us make PEAR better.